Introduction

The AMD Hot-Plug Control Utility displays information about Hot-Plug enabled slots and devices on PCI and PCI-X® buses and provides means of changing the state of any hot-plug device. The utility displays information about the slot and device state, bus mode and speed, card and bus capability, and status information. Right-clicking displays pop-up menu options that allow locating, enabling, or disabling hot-plug devices. Slot and device status are automatically updated when a slot power condition is changed. The utility automatically configures for PCI-X mode 1 and mode 2 operation.

The AMD Hot-Plug Control Utility displays in a single window as shown below.

The following table describes the features of the window.

Power | When a slot is enabled, the window is updated and the state indicator turns green. If a fault occurs, the state indicator turns red and the Status column indicates the fault encountered. A green, blinking state indicator means a state change in progress. The state indicator turns a solid green when the state change is complete. A grey state indicator means that the device is not enabled.
Attn | When an attention signal is sent to the selected slot or device, the state indicator in Attention (Attn) column blinks, and the state of the slot is updated. A blinking yellow state indicator means that a device is being located. A gray state inidicator means that the device is not enabled.
Slot | Displays the slot number of the device.
Description | Displays a description of the device.
Bus Mode/Speed | Displays the bus mode and speed of the device.
Card Capability | Displays the card capability of the device (PCI-X®, ECC, DDR, etc.).
Bus Capability | Displays bus characteristics of the bus (bus speed and mode).
Status | Displays the status of the device. Can be either OK or Power Fault.

Related Topics

  • Enabling a Slot
  • Disabling a Slot
  • Sending an Attention Signal


Enabling a Slot

When a slot is enabled, the Status column is updated and the state indicator in the Power column turns green. If a fault occurs, the state indicator turns red and the Status column indicates the particular fault encountered.

Each slot has a mechanical retention latch (MRL), which disables the slot when the slot is opened. If an attempt is made to enable or power on a slot while the MRL is in the open position, a warning message appears stating that the MRL must be closed. If an attempt is made to enable or power on a slot while the slot is in a Power Fault condition, another warning message appears asking the user to cycle the MRL in an attempt to clear the Power Fault condition.

To enable a slot:

  1. Right-click on the row associated with the slot or device.
  2. Select Power On from the pop-up menu. A message box displays a warning that the slot will be enabled.
  3. Click OK. A green state indicator displays in the Power column to indicate that the slot is enabled.

Related Topics

  • Introduction
  • Disabling a Slot
  • Sending an Attention Signal


Disabling a Slot

The slot and device selected is disabled when Power Off is selected from the pop-up menu. A message box prompts for confirmation before a slot or device is disabled.

When a slot is enabled, the Status column is updated and the state indicator in the Power column turns gray. If a fault occurs, the state indicator turns red and the Status column displays the fault encountered.

To disable a slot:

  1. Right-click on the row associated with the slot or device to be disabled.
  2. Select Power Off from the pop-up menu. A warning message displays indicating that you are about to disable the slot.
  3. Click OK. A gray state indicator displays in the Power column to indicate that the slot is disabled.

Related Topics

  • Introduction
  • Enabling a Slot
  • Sending an Attention Signal


Sending an Attention Signal

An attention signal can be sent to the slot using the Locate command on the pop-up menu. When the attention signal is sent to the selected slot or device, the state indicator in the Attn column blinks yellow, and the state of the slot is updated.

To send an attention signal to a slot:

  1. Right-click on the row associated with the slot.
  2. Select Locate from the pop-up menu. The state indicator in the Attn column blinks yellow to indicate that the slot is updated.

Related Topics

  • Introduction
  • Enabling a Slot
  • Disabling a Slot


Problem Report

If you find a problem, we ask that you please e-mail the following information to debug.tools@amd.com :

  • Describe the problem or issue.

  • Describe why you believe this is a problem.

  • Describe your proposed solution, change, or improvement.

  • Briefly describe the steps or sequence of events that led to your observation.

  • How frequently did the problem occur?

  • What messages did the program display?

  • Which version of the program are you using? This information is in the Help > About dialog box.

  • What operating system and service pack are you using?

  • How much free disk space do you have?

  • Describe your system in regards to the following:

  • Processor type and speed

  • Motherboard make and model

  • System memory size

  • Video graphics card make and model

  • Video screen resolution (for example, 1024x768x16 bpp)

  • Other installed Input/Output cards (for example sound cards, other PCI cards)


Enhancement Request

Please e-mail the following information about a desired enhancement or change to debug.tools@amd.com :

  • Which version of AMD Hot-Plug Control Utility are you using? This information is in the Help > About dialog box.

  • Describe the desired enhancement or change.

  • Indicate to us how important the enhancement or change is to you using a scale of 1 to 5, where 1 is most important and 5 least important.


splash

Copyright © 2003-2004 Advanced Micro Devices, Inc.
All rights reserved.

Trademarks, Copyright, and Disclaimers

AMD Confidential — Advance Information

Publication#: 26775


Trademarks, Copyright, and Disclaimers

AMD, the AMD Arrow logo, and combinations thereof, are trademarks of Advanced Micro Devices, Inc.

PCI-X is a registered trademark of the PCI-Special Interest Group (PCI-SIG).

Advanced Micro Devices, Inc. All rights reserved.

The contents of this documentation are provided in connection with Advanced Micro Devices, Inc. ("AMD") products. AMD makes no representations or warranties with respect to the accuracy or completeness of the contents of this publication and reserves the right to make changes to specifications and product descriptions at any time without notice. No license, whether express, implied, arising by estoppel or otherwise, to any intellectual property rights is granted by this publication. Except as set forth in AMD's Standard Terms and Conditions of Sale, AMD assumes no liability whatsoever and disclaims any express or implied warranty, relating to its products including, but not limited to, the implied warranty of merchantability, fitness for a particular purpose, or infringement of any intellectual property right.

AMD's products are not designed, intended, authorized or warranted for use as components in systems intended for surgical implant into the body, or in other applications intended to support or sustain life, or in any other application in which the failure of AMD's product could create a situation where personal injury, death, or severe property or environmental damage may occur. AMD reserves the right to discontinue or make changes to its products at any time without notice.